Skip to main content
GET
/
analytics
/
meta
Get available analytics metrics and dimensions
curl --request GET \
  --url https://openrouter.ai/api/v1/analytics/meta \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/analytics/meta"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/analytics/meta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "dimensions": [
      {
        "display_label": "Model",
        "name": "model"
      }
    ],
    "granularities": [
      {
        "display_label": "Day",
        "name": "day"
      }
    ],
    "metrics": [
      {
        "display_format": "number",
        "display_label": "Request Count",
        "is_rate": false,
        "name": "request_count"
      }
    ],
    "operators": [
      {
        "name": "eq",
        "value_type": "scalar"
      }
    ]
  }
}
{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}
{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}
{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Response

Returns analytics query metadata

data
object
required